HSAIL(1)

NAME
HSAIL - HSAILasm

SYNOPSIS
HSAILAsm [-assemble|-disassemble|-decode|-version|-help] [options] [input file]

DESCRIPTION
HSAIL Assembler and Disassembler.

  Action to perform:

-assemble - Assemble a .hsail file (default)

-disassemble - Disassemble an .brig file

-version - Display version information

-decode - Decode contents of .brig file in YAML format

-help - Display this help

OPTIONS

-bif32 - Use BIF in ELF32 container format

-bif64 - Use BIF in ELF64 container format

-brig - Use BRIG format

-enable-comments - Enable Comments in BRIG

-g - Enable debug info generation for assemble

-include-source - Include HSAIL text in debug information

-o <filename> - Set output filename (if not specified, input file name with appropriate extension is used)

-odebug <filename> - Set debug information dump filename and enable dump

-floatraw - Set float disassembly mode to 0[DFH]rawbits

-floatc99 - Set float disassembly mode to +-0xX.XXXp+-DD C99 format

-floatdec - Set float disassembly mode to decimal form

    (C) AMD 2015, all rights reserved. Built Mar 16 2017 (11:03:57). Version 3.0. HSAIL version 1:0. BRIG version 1:0.